# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/system/challenge-data.ts:4

##### Index

### Constructors

constructor

### Properties

id
severity
value

### Methods

toChallenge

## Constructors

### constructor

- new default(source: any): default

  #### Parameters

  - source: any

  #### Returns default

  - Defined in src/system/challenge-data.ts:9

## Properties

### id

id: number

- Defined in src/system/challenge-data.ts:5

### severity

severity: number

- Defined in src/system/challenge-data.ts:7

### value

value: number

- Defined in src/system/challenge-data.ts:6

## Methods

### toChallenge

- toChallenge(): Challenge

  #### Returns Challenge

  - Defined in src/system/challenge-data.ts:15